View Issue Details

IDProjectCategoryView StatusLast Update
0001172Main CAcert Websitesource codepublic2014-11-06 11:52
ReporterINOPIAE Assigned ToBenBE  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2013 Q2 
Target Version2013 Q3Fixed in Version2014 Q3 
Summary0001172: Move the database engine from myISAM to InnoDB
DescriptionMove the database engine from myISAM to InnoDB to make the transaction handling possible.
Additional InformationIs the move from mySQL to MariaDB an option?
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

related to 0001162 fix availableINOPIAE calcutate (the passwords) hash in php instead of in mysql -> \\ 

Activities

BenBE

2013-04-30 23:41

updater   ~0003943

While converting the database also check to include the additional foreign keys for data consistency.

INOPIAE

2013-05-01 01:03

updater   ~0003944

pushed fix for change of DB engine to https://github.com/INOPIAE/CAcert/commit/e0cce72862d0f2b3ec8e690e17032b44d60f2d56

BenBE

2013-09-14 18:07

updater   ~0004321

Execution of database update script pending.

INOPIAE

2014-02-18 21:24

updater   ~0004587

As the patch cannot be realy tested please review. During the time that the patch is online no problems occured.

Eva

2014-02-18 21:25

updater   ~0004589

This test is not really testable for testers, since the expected behavior is the normal behavior.

However the patch is on the testserver now for some months. Nothing was detected that looks like there being a problem resulting from this patch. A quite wide range of tests were performed since then.

So it looks like this patch is working as intended.

NEOatNHNG

2014-03-21 21:34

administrator   ~0004674

Nothing important but I removed some text that only made sense in the initial version. Normally I wouldn't care too much, but were pulling that stuff with us since then and some day no one will know what this meant.

Only needs a short second review, no retesting needed.

NEOatNHNG

2014-03-21 21:37

administrator   ~0004675

By the way it seems that the script has never been run on the test server. Same goes for migration 4.

NEOatNHNG

2014-03-25 22:58

administrator   ~0004682

For the critical admins: Following has to be set in MySQL config: remove the "skip-innodb" line and add a line saying "default-storage-engine = InnoDB"

NEOatNHNG

2014-03-25 23:52

administrator   ~0004685

Migration successful on the test server after a few adjustments. Took more than 15 minutes => on the live system there should be an announced maintenance.

INOPIAE

2014-04-29 22:15

updater   ~0004767

From the testing of other patches no errors are reported. So please deploy the patch.

wytze

2014-06-10 08:43

developer   ~0004812

The script has been installed on the production server on June 10, 2014. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2014-06/msg00008.html

Note that the script has *not* been executed yet, this will take place at some later moment.

wytze

2014-07-23 08:54

developer   ~0004892

The conversion script has been executed on July 23, 2014 between 10:00 and 10:25 CEST. It completed without errors or problems and generated the following output:

$ /home/cacert/www/scripts/db_migrations/version5.sh -u root -p cacert
Enter password:
table abusereports altered to InnoDB
table addlang altered to InnoDB
table adminlog altered to InnoDB
table advertising altered to InnoDB
table alerts altered to InnoDB
table baddomains altered to InnoDB
table cats_passed altered to InnoDB
table cats_type altered to InnoDB
table cats_variant altered to InnoDB
table countries altered to InnoDB
table disputedomain altered to InnoDB
table disputeemail altered to InnoDB
table domainderts altered to InnoDB
table domains altered to InnoDB
table domlink altered to InnoDB
table email altered to InnoDB
table emailcerts altered to InnoDB
table emaillink altered to InnoDB
table gpg altered to InnoDB
table languages altered to InnoDB
table localias altered to InnoDB
table locations altered to InnoDB
table news altered to InnoDB
table notary altered to InnoDB
table org altered to InnoDB
table orgadminlog altered to InnoDB
table orgdomaincerts altered to InnoDB
table orgdomains altered to InnoDB
table orgdomlink altered to InnoDB
table orgemailcerts altered to InnoDB
table orgemaillink altered to InnoDB
table orginfo altered to InnoDB
table otphashes altered to InnoDB
table pinglog altered to InnoDB
table regions altered to InnoDB
table root_certs altered to InnoDB
table schema_version altered to InnoDB
table stampcache altered to InnoDB
table statscache altered to InnoDB
table tickets altered to InnoDB
table tverify altered to InnoDB
table tverify-vote altered to InnoDB
table user_agreements altered to InnoDB
table userlocations altered to InnoDB
table users altered to InnoDB
Database successfully migrated to version 5
$

A backup of the database has been made before and after the conversion.

BenBE

2014-07-29 21:53

updater   ~0004908

Fixed as of http://blog.cacert.org/2014/07/downtime-for-www-cacert-org-on-july-23-2014/

Issue History

Date Modified Username Field Change
2013-04-30 23:39 INOPIAE New Issue
2013-04-30 23:39 INOPIAE Relationship added related to 0001162
2013-04-30 23:40 INOPIAE Additional Information Updated View Revisions
2013-04-30 23:41 BenBE Note Added: 0003943
2013-05-01 00:24 INOPIAE Assigned To => INOPIAE
2013-05-01 00:24 INOPIAE Status new => needs work
2013-05-01 01:03 INOPIAE Note Added: 0003944
2013-05-01 01:03 INOPIAE Assigned To INOPIAE => BenBE
2013-05-01 01:03 INOPIAE Status needs work => fix available
2013-09-14 18:07 BenBE Reviewed by => BenBE
2013-09-14 18:07 BenBE Note Added: 0004321
2013-09-14 18:07 BenBE Status fix available => needs review & testing
2013-09-14 18:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 9107db89
2013-09-14 18:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable f42dd26f
2013-09-14 18:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable e0586db3
2013-09-14 18:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable e0cce728
2013-09-21 06:00 BenBE Assigned To BenBE => egal
2014-02-18 21:24 INOPIAE Note Added: 0004587
2014-02-18 21:24 INOPIAE Assigned To egal => NEOatNHNG
2014-02-18 21:24 INOPIAE Status needs review & testing => needs review
2014-02-18 21:25 Eva Note Added: 0004589
2014-03-21 21:34 NEOatNHNG Reviewed by BenBE => NEOatNHNG
2014-03-21 21:34 NEOatNHNG Note Added: 0004674
2014-03-21 21:34 NEOatNHNG Assigned To NEOatNHNG => BenBE
2014-03-21 21:37 NEOatNHNG Note Added: 0004675
2014-03-21 21:37 NEOatNHNG Status needs review => needs review & testing
2014-03-21 22:15 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 53087f6f
2014-03-21 22:15 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable a7d3dfe2
2014-03-25 22:10 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 0acec132
2014-03-25 22:10 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 5bc099c4
2014-03-25 22:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 95db5f73
2014-03-25 22:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable f9391896
2014-03-25 22:58 NEOatNHNG Note Added: 0004682
2014-03-25 23:15 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 07619428
2014-03-25 23:15 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 73e71069
2014-03-25 23:15 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable d5520ccb
2014-03-25 23:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 65cfb74c
2014-03-25 23:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 79462a77
2014-03-25 23:52 NEOatNHNG Note Added: 0004685
2014-03-27 06:43 BenBE Reviewed by NEOatNHNG => NEOatNHNG, BenBE
2014-03-27 06:43 BenBE Status needs review & testing => needs testing
2014-04-29 22:15 INOPIAE Note Added: 0004767
2014-04-29 22:15 INOPIAE Status needs testing => ready to deploy
2014-06-06 22:05 BenBE Source_changeset_attached => cacert-devel release b2fd61f3
2014-06-10 08:43 wytze Note Added: 0004812
2014-07-23 08:54 wytze Note Added: 0004892
2014-07-29 21:53 BenBE Note Added: 0004908
2014-07-29 21:53 BenBE Status ready to deploy => solved?
2014-07-29 21:53 BenBE Fixed in Version => 2014 Q3
2014-07-29 21:53 BenBE Resolution open => fixed
2014-11-06 11:52 INOPIAE Status solved? => closed